%global shortname common

Name:           jgoodies-common
Version:        1.1.1
Release:        2%{?dist}
Summary:        Common library shared by JGoodies libraries and applications

Group:          Development/Libraries
License:        BSD
URL:            http://www.jgoodies.com/
Source0:        http://www.jgoodies.com/download/libraries/%{shortname}/%{name}-%(tr "." "_" <<<%{version}).zip

BuildRequires:  ant
BuildRequires:  java-devel
BuildRequires:  jpackage-utils
Requires:       java
Requires:       jpackage-utils
BuildArch:      noarch

%description
The JGoodies Common library provides convenience code for other JGoodies
libraries and applications.


%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q

# Delete prebuild JARs
find -name "*.jar" -exec rm -f {} \;

# Remove DOS line endings
for file in LICENSE.txt RELEASE-NOTES.txt; do
  sed 's|\r||g' $file > $file.new && \
  touch -r $file $file.new && \
  mv $file.new $file
done


%build
ant \
  jar \
  javadoc


%install
install -Dpm 0644 build/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}/
cp -a build/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}/


%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.html RELEASE-NOTES.txt
%{_javadir}/*.jar


%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}/


%changelog
* Sat Feb 19 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.1.1-2
- Remove obsolete clean section and BuildRoot tag

* Wed Feb 09 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.1.1-1
- Initial RPM release
